# Option types

Each option type that you define for a product allows you to create multiple
variants of that type.

Once you have defined an option type, you can define option values that should
be used with it. Option types and option values also have a *presentation*
value, in case your store administrators and customers should see different
values.

See the table below for examples of typical option types, values, and how they
should be presented to customers:

| Option type  | Presentation | Option values                | Option value presentation        |
|--------------|--------------|------------------------------|----------------------------------|
| `color`      | Color        | `red`, `green`, `blue`       | Red, Green, Blue                 |
| `shirt-size` | Size         | `s`, `m`, `l`                | Small, Medium, Large             |
| `shoe-size`  | Size         | `8`, `9`, `10`, `11`, `12`   | 8, 9, 10, 11, 12                 |
| `material`   | Material     | `paper`, `cotton`, `leather` | Paper, Cotton, Leather           |
| `quantity`   | Quantity     | `100g`, `250g`, `1kg`        | 100 grams, 250 grams, 1 kilogram |

